DO $$ 
    BEGIN
        BEGIN
           IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=1765) THEN
		RETURN;
          END IF;
CREATE INDEX "IDX_Files_OwnerId-AccessModifier-Size"
    ON public."Files" USING btree
    ("Id" ASC NULLS LAST,"OwnerId" ASC NULLS LAST,"AccessModifier" ASC NULLS LAST,"Size" ASC NULLS LAST)
    TABLESPACE pg_default; 




        EXCEPTION
            WHEN duplicate_column THEN RAISE NOTICE 'index <IDX_Files_OwnerId-AccessModifier-Size> already exists in <Files>.';
        END;
    END;
$$
